import{jsxs as e,jsx as o}from"react/jsx-runtime";import{useState as t,useRef as r}from"react";import{Typography as i}from"@equinor/eds-core-react";import{ReleaseNotesService as s}from"@equinor/subsurface-app-management";import{RELEASE_NOTE_RICH_TEXT_COLLAPSED_HEIGHT as l}from"./ReleaseNote.constants.js";import{timeToRead as m,usingReleaseNoteDate as a}from"./ReleaseNote.utils.js";import{ToggleExpanded as n}from"./ToggleExpanded.js";import"../../molecules/RichTextEditor/custom-extensions/AmplifyKit.js";import"../../molecules/RichTextEditor/RichTextEditor.types.js";import"../../_virtual/lodash.js";import"@microsoft/signalr";import"@tanstack/react-query";import"../../atoms/enums/Environment.js";import"../../atoms/utils/auth_environment.js";import"../TopBar/Notifications/NotificationProvider.js";import"../../providers/AuthProvider/AuthProvider.js";import"../../providers/ReleaseNotesProvider.js";import"../../providers/SideBarProvider.js";import"../../providers/SnackbarProvider/SnackbarProvider.js";import"../../providers/StepperProvider.js";import"../../providers/TableOfContentsProvider.js";import"../../providers/ThemeProvider/ThemeProvider.js";import"react-router-dom";import{shape as p}from"../../atoms/style/index.js";import"../../atoms/enums/Errors.js";import"../../atoms/enums/Theme.js";import"../../atoms/enums/SpacingsMode.js";import{formatRelativeDateTime as c}from"../../atoms/utils/date.js";import"html2canvas";import"proj4";import"@equinor/eds-icons";import"../../molecules/AnimatedCheckmark/AnimatedCheckmark.styles.js";import"../../molecules/ApplicationIcon/ApplicationIcon.js";import"../../molecules/Badge/Badge.styles.js";import"../../molecules/Banner/Banner.styles.js";import"../../molecules/Button/Button.js";import"../../molecules/Chip/Chip.js";import"../../molecules/ContentMenu/ContentMenu.styles.js";import"../../molecules/DatePicker/DatePicker.js";import"../../molecules/Dialog/Dialog.js";import"../../molecules/EquinorLogo/EquinorLogo.js";import"../../molecules/FileProgress/CompactFileProgress.styles.js";import"../../molecules/FileProgress/RegularFileProgress.styles.js";import"../../molecules/FileUploadArea/FileUploadArea.js";import"../../molecules/FullPageSpinner/FullPageSpinner.js";import"../../molecules/InfoElement/InfoElement.js";import"../../molecules/OptionalTooltip/OptionalTooltip.js";import"../../molecules/ProfileAvatar/ProfileAvatar.js";import{RichTextDisplay as u}from"../../molecules/RichTextDisplay/RichTextDisplay.js";import"../../molecules/RichTextEditor/MenuBar/MenuBar.js";import"@tiptap/react";import"../../molecules/RichTextEditor/RichTextEditor.styles.js";import{colors as d}from"../../atoms/style/colors.js";import"../../molecules/RichTextEditor/MenuBar/MenuBar.styles.js";import"../../molecules/RichTextEditor/MenuBar/MenuButton.js";import"../../molecules/Search/Search.js";import"../../molecules/Sieve/Sieve.styles.js";import"../../molecules/SingleFilterMenu/SingleFilterMenu.js";import"../../molecules/Skeleton/SkeletonBase/SkeletonBase.js";import"../../molecules/Skeleton/Skeleton.styles.js";import"../../molecules/Stepper/Stepper.js";import"../../molecules/OptionDrawer/OptionDrawer.js";import"../../molecules/Select/Select.styles.js";import{spacings as j}from"../../atoms/style/spacings.js";import"../../molecules/ListItem/ListItem.js";import"../../molecules/SelectionControls/Checkbox/Checkbox.js";import"../../molecules/SelectionControls/Radio/Radio.js";import"../../molecules/SelectionControls/Switch/Switch.js";import{MetaTags as h}from"./MetaTags.js";import{motion as g}from"framer-motion";import f from"styled-components";const v=f.div`
  display: flex;
  flex-direction: column;
  padding: ${j.medium};
  position: relative;
  background: ${d.ui.background__default.rgba};
  border: 1px solid ${d.ui.background__heavy.rgba};
  border-radius: ${p.corners.borderRadius};
  min-width: 800px;
  overflow: hidden;
  > h4 {
    margin-top: ${j.large};
    margin-bottom: ${j.medium};
  }
  padding-bottom: calc(
    68px + ${j.medium}
  ); // Space for the expand button
`,x=f.header`
  display: flex;
  justify-content: space-between;
  align-items: center;
`,y=f.section`
  display: flex;
  gap: ${j.medium};
  align-items: center;
`,S=({applicationName:p,releaseDate:j,createdDate:f,tags:S,version:b,title:P,body:T,actionMenu:k,startExpanded:E=!1})=>{const R=a({releaseDate:j,createdDate:f}),[B,C]=t(null),M=r(E?"auto":l),[D,_]=t(E),A=(B?.firstElementChild&&B.firstElementChild.clientHeight>l)??!0;return e(v,{children:[e(x,{children:[e(y,{children:[o(i,{variant:"caption",color:d.text.static_icons__secondary.rgba,children:p}),e(i,{variant:"overline",color:d.text.static_icons__tertiary.rgba,children:[c(R),b?` ・ ${b}`:""," ・ ",m(T)]})]}),o(h,{tags:S,children:k})]}),o(i,{variant:"h4",children:P}),o(g.div,{ref:C,initial:{height:M.current},animate:{height:D?"auto":l},children:o(u,{value:T,onImageRead:s.getReleaseNoteImage,padding:"none"})}),A&&o(n,{expanded:D,onToggleExpanded:()=>{_((e=>!e)),"auto"===M.current&&(M.current=l)}})]})};export{S as ReleaseNote};
